package com.yd.api.metadata.vo;

/**
 * @author wenYang
 * @date 2021年06月30日 23:41
 */
public class TagViewQueryRequestVO {
    private String tagViewType; //标签显示类别(1=12宫格; 2=左侧热榜列表; 3=右上角筛选)
    private String tagLevel;//标签级别(1=一级; 2=二级; 3=三级)
    private Long upperTagViewId;//上级标签
    private String tagName;//标签名称
    private Integer isActive;// 1=active 2=inactive

	/**
	 * @return the tagViewType
	 */
	public String getTagViewType() {
		return tagViewType;
	}

	/**
	 * @param tagViewType the tagViewType to set
	 */
	public void setTagViewType(String tagViewType) {
		this.tagViewType = tagViewType;
	}

	/**
	 * @return the tagLevel
	 */
	public String getTagLevel() {
		return tagLevel;
	}

	/**
	 * @param tagLevel the tagLevel to set
	 */
	public void setTagLevel(String tagLevel) {
		this.tagLevel = tagLevel;
	}

	/**
	 * @return the upperTagViewId
	 */
	public Long getUpperTagViewId() {
		return upperTagViewId;
	}

	/**
	 * @param upperTagViewId the upperTagViewId to set
	 */
	public void setUpperTagViewId(Long upperTagViewId) {
		this.upperTagViewId = upperTagViewId;
	}

	/**
	 * @return the tagName
	 */
	public String getTagName() {
		return tagName;
	}

	/**
	 * @param tagName the tagName to set
	 */
	public void setTagName(String tagName) {
		this.tagName = tagName;
	}

	/**
	 * @return the isActive
	 */
	public Integer getIsActive() {
		return isActive;
	}

	/**
	 * @param isActive the isActive to set
	 */
	public void setIsActive(Integer isActive) {
		this.isActive = isActive;
	}
	
	@Override
    public String toString() {
        return "MdTagView{" +
                ", tagViewType='" + tagViewType + '\'' +
                ", tagLevel='" + tagLevel + '\'' +
                ", upperTagViewId='" + upperTagViewId + '\'' +
                ", tagName='" + tagName + '\'' +
                ", isActive=" + isActive +
                '}';
    }
	
}
